Chào các bạn, wordpress.org vừa ra phiên bản mới nhất là 4.4 với nhiều cải tiến mới và tối ưu hơn nhưng một số bạn gặp phải trường hợp khi update từ phiên bản wordpress thấp hơn lên thì không publish được bài viết. Đặc biết các bạn sử dụng plugin Advance Custom Field hay bị nhất. Vì thế mình viết bài này hướng dẫn các bạn khắc phục lỗi trên.

khac-phuc-loi-publish-bai-viet-wordpress.4.4

Khắc phục lỗi không publish được bài viết trên wordpress 4.4

Nguyên nhân

Nguyên nhân lỗi trên là WordPress 4.4 dùng bộ thư viên jQuery mới nhất nên không tương thích hoặc xung đột với một số plugin gây nên lỗi.

Khăc phục

Để khắc phục lỗi trên các bạn mở file functions.php  của theme đang sử dụng lên và chèn đoạn mã sau vào cuối file.

function cg_revert_jquery_version_admin() {
	wp_deregister_script( 'jquery' );
	wp_register_script( 'jquery', 'https://ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js');
	wp_enqueue_script( 'jquery' );
}
add_action( 'admin_enqueue_scripts', 'cg_revert_jquery_version_admin' );

Lưu lại và thử để xem kết quả.

Chú ý: Bạn cũng có thể deactive các plugin và thử active từng cái một để xem plugin nào gây nên lỗi và có phương án xử lý.

Mọi thắc mắc vui lòng để lại comment, chúc các bạn một giáng sinh an lành và vui vẻ !